org.codehaus.groovy.runtime

## Class ClassExtender

- java.lang.Object
- - org.codehaus.groovy.runtime.ClassExtender

-     public class ClassExtender
      extends java.lang.Object

  A helper class used by the runtime to allow Groovy classes to be extended at runtime

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassExtender()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMethod(java.lang.String name, Closure closure)`
    `void` | `call(java.lang.String name, java.lang.Object params)`
    `protected java.util.Map` | `createMap()`
    `java.lang.Object` | `get(java.lang.String name)`
    `void` | `remove(java.lang.String name)`
    `void` | `removeMethod(java.lang.String name)`
    `void` | `set(java.lang.String name, java.lang.Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassExtender

          public ClassExtender()

  - ### Method Detail

    - #### get

          public java.lang.Object get(java.lang.String name)

    - #### set

          public void set(java.lang.String name,
                 java.lang.Object value)

    - #### remove

          public void remove(java.lang.String name)

    - #### call

          public void call(java.lang.String name,
                  java.lang.Object params)

    - #### addMethod

          public void addMethod(java.lang.String name,
                       Closure closure)

    - #### removeMethod

          public void removeMethod(java.lang.String name)

    - #### createMap

          protected java.util.Map createMap()